[Haskell-cafe] Curious why "cabal upgrade parsec" not installing latest version

Ben Millwood haskell at benmachine.co.uk
Thu Sep 16 20:52:32 EDT 2010

On Thu, Sep 16, 2010 at 4:00 AM, Ivan Lazar Miljenovic
<ivan.miljenovic at gmail.com> wrote:
> Because Parsec-3 apparently still has some speed regressions compared
> to Parsec-2 (I'm not qualified to note whether its design is slow or
> if you have to use it differently to get good performance out of it),
> so many developers prefer to stick to Parsec-2 for this reason.

I thought Parsec 3.1 had pretty much caught up with the performance of parsec 2?

More information about the Haskell-Cafe mailing list